Subject: Re: [idn] How to match letters

From: [email-masked]
Date: Wed, 27 Jun 2001 13:02:19 -0700

Hello, Eric:

Sorry to confuse you.  The math code repitoire I have refered  
is U+2200 - U+22f1 for the sake of discussion on how to 
handle a particular code section with respect to its frenquent
user group.  

The keyboard universal concept refers to the best current practice
in using an English keyboard to enter whatever language symbols
the user using, provided a software is in place to help out.  For 
example in Latin languages, the user switches to a different 
keyboard map, for Chinese users, it is to use a combination of key
strokes to find one symbol the user wants.  The number of
key strokes for a character between 2 - 5, and averaged at a little 
less than 4.  So I am not supprised that DUDE and other 
compression method have come up with a similar compression 
rate.  However, if we allow say Pinyin to be the ACE for Chinese 
(since it is already Romanized), then without another DUDE, it
can averaged at 3 octets per character, at the discretion of the 
registrant.   It sounds like Japanese and Hangul are in the same 
category.

On Wed, 27 Jun 2001 12:23:49 -0400 Eric Brunner-Williams in Portland
Maine <[email-masked]> writes:
> Ms. Ye,
> 
> You'll recall that you offered the assertion that a keyboard was 
> universal.
> A counter-example was provided, there are _several_ more. The 
> suggestion of
> a user-weighting scheme (below) is incomprehensible in this context, 
> given
> your starting point of suggesting to encode mathematical glyphs 
> present in
> some particular reference repitoire -- at least I'm confused.
> 
> However, feel free to progress your issues within the broad ACE 
> advocacy
> community. I've limited interest in 63-element encoding schemes for 
> sets
> containing several orders of magnitude more elements.
> 

So leave an entry point open for others to implement a localized
ACE.

Liana 

> If you are interested in mathematics on the web, there is a w3c 
> activity
> in that area. If you are interested in mathematics and typesetting, 
> or
> mathematics and TeX, or PostScript, or ... the .math. portion of the 
> usenet
> hierarchy is a good place to start for non-mathematicians.
> 
> Eric
> 
> > If it is, I'd like to see the keyboard map.  If it is still in 
> use, then
> > it can be registered for a specific "language" user group.   The
> > language tags have been proposed is a vary large set, this only
> > shows that to treat every language user group fairly, we need to
> > provide a tool for equal opportunity to the Internet, not to limit
> > the access to any specific minority.  As to how many will be 
> > registered on the net, it dependens on the applicant provides 
> > enough prove on the size of the existing users,  the potential 
> > users and frequency of the users.  That is a politic issue.  Let 
> us 
> > hand that problem to politicians. 
> > 
> >> Umm. A typing element for the IBM Selectric typerwriters was 
> >> developed
> >> for the then-new syllabic system in 1976, for Inuktitut, and 
> could 
> >> be
> >> used for any Cree (etc., modernly UCAS) text. That would be 
> >> universally
> >> approved Inuktitut.
> >> 
> >> Eric

---

From: Eric Brunner-Williams in Portland Maine <[email-masked]>
Date: Wed, 27 Jun 2001 17:39:59 -0400

Ms. Ye,

If you want to argue that a qwerty keyboard is an instance of something,
feel free. Personally I think it is an instance of "keyboard". To use a
term such as "BCP" in an IETF context takes a little bit more than just
assertion. Personally I don't think there is the slightest connection.

Again, encoding schemes which are onto a 63 element set (6-bit minus one
encoding, or generally, sub-8 encodings) have their proponents, I'm just
not one. rfc768 specifies an 8-bit byte transport. rfc793 does as well.

Eric